tigase.xml

## Class XMLFormatter

- java.lang.Object
- - tigase.xml.XMLFormatter

- All Implemented Interfaces:
    SimpleHandler

      public class XMLFormatter
      extends Object
      implements SimpleHandler

  This is temporary code used for testing purposes only. It is subject to change or remove at any time of server development. It has been created to format XML files to make them easier to read and modify by a human. With current `XMLDB` implementation however it is not necessary to use this formatter for configuration files and user repositories as they are saved in proper format.

  Created: Thu Oct 21 14:49:41 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFormatter(OutputStream out)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCData(StringBuilder cdata)`
    `boolean` | `endElement(StringBuilder name)`
    `void` | `error(String errorMessage)`
    `static void` | `main(String[] args)`
    `void` | `otherXML(StringBuilder other)`
    `void` | `outputExtraData(String extra)`
    `Object` | `restoreParserState()`
    `void` | `saveParserState(Object object)`
    `void` | `startElement(StringBuilder name, StringBuilder[] att_names, StringBuilder[] att_values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLFormatter

          public XMLFormatter(OutputStream out)

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### error

          public void error(String errorMessage)

      Specified by:
        `error` in interface `SimpleHandler`

    - #### startElement

          public void startElement(StringBuilder name,
                                   StringBuilder[] att_names,
                                   StringBuilder[] att_values)

      Specified by:
        `startElement` in interface `SimpleHandler`

    - #### elementCData

          public void elementCData(StringBuilder cdata)

      Specified by:
        `elementCData` in interface `SimpleHandler`

    - #### endElement

          public boolean endElement(StringBuilder name)

      Specified by:
        `endElement` in interface `SimpleHandler`

    - #### otherXML

          public void otherXML(StringBuilder other)

      Specified by:
        `otherXML` in interface `SimpleHandler`

    - #### saveParserState

          public void saveParserState(Object object)

      Specified by:
        `saveParserState` in interface `SimpleHandler`

    - #### restoreParserState

          public Object restoreParserState()

      Specified by:
        `restoreParserState` in interface `SimpleHandler`

    - #### outputExtraData

          public void outputExtraData(String extra)

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.